Add Step
Rest path
POST /rest/api/1/testCases/{issueId}/versions/{versionId}/steps
Body parameter
{ "anyOf": [ { "properties": { "type": { "enum": [ "EMBEDDED" ], "type": "string" }, "content": { "items": { "properties": { "value": { "anyOf": [ { "properties": { "version": { "type": "number", "enum": [ 1 ], "nullable": false }, "type": { "type": "string", "enum": [ "doc" ], "nullable": false }, "content": { "items": {}, "type": "array", "example": [ { "type": "paragraph", "content": [ { "type": "text", "text": "This is a paragraph." } ] } ] } }, "required": [ "version", "type", "content" ], "type": "object", "description": "Represents a rich text document node.\nFor more details see: https://developer.atlassian.com/cloud/jira/platform/apis/document/structure/" }, { "type": "string" } ] }, "columnId": { "type": "number", "format": "double" } }, "required": [ "value", "columnId" ], "type": "object" }, "type": "array" } }, "required": [ "type", "content" ], "type": "object" }, { "properties": { "type": { "enum": [ "CALLED" ], "type": "string" }, "issueIdOrKey": { "anyOf": [ { "type": "string" }, { "type": "number", "format": "double" } ] } }, "required": [ "type", "issueIdOrKey" ], "type": "object" } ]}Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| issueId | path | number(double) | true | none |
| versionId | path | number(double) | true | none |
| body | body | AddStepRequest | true | none |
Example responses
Created
{ "stepId": 134131314}Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 201 | Created | Created | CreateStepResponse |